kylin-ipmsg (1.3.1.2-ok16.1) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号 : 无
  * 其他改动说明 : 优化在openkylin不同桌面环境下的各窗口居中
  * 其他改动影响域 : 无

 -- lijiawei <lijiawei@kylinos.cn>  Mon, 29 Apr 2024 17:18:45 +0800

kylin-ipmsg (1.3.1.2-ok16.0) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 205202 【百日攻关】【图形栈合成渲染技术】UKUI应用适配 / 百日攻关】【图形栈合成渲染技术】UKUI应用适配 - 传书
  * 任务号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- lijiawei <lijiawei@kylinos.cn>  Wed, 24 Apr 2024 15:44:14 +0800

kylin-ipmsg (1.3.1.2-ok15.3) nile; urgency=medium

  * BUG号 : #I8BZWJ 【设计走查】【传书】搜索无结果，空状态提示不符合规范要求
            #I8BZW3 【设计走查】【传书】空白页，空状态提示不符合规范要求
  * 需求号 : 无
  * 任务号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- xuxinrong <xuxinrong@kylinos.cn>  Tue, 12 Dec 2023 16:12:29 +0800

kylin-ipmsg (1.3.1.2-ok15.2) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号 : 无
  * 其他改动说明 : rebuild
  * 其他改动影响域 : 无

 -- liujiayang <liujiayang@kylinos.cn>  Thu, 28 Nov 2023 14:54:12 +0800

kylin-ipmsg (1.3.1.2-ok15.1) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号 : 无
  * 其他改动说明 : rebuild
  * 其他改动影响域 : 无

 -- liujiayang <liujiayang@kylinos.cn>  Thu, 28 Nov 2023 14:54:12 +0800
 
kylin-ipmsg (1.3.1.2-ok15.0) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号 : 181183 【传书】kylin时间格式适配
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- liujiayang <liujiayang@kylinos.cn>  Fri, 24 Nov 2023 09:26:29 +0800

kylin-ipmsg (1.3.1.2-ok14.0) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号 : 177063 【数据埋点】传书
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- chairui <chairui@kylinos.cn>  Mon, 20 Nov 2023 16:30:29 +0800

kylin-ipmsg (1.3.1.2-ok13.0) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号: 182696 【快捷键规范落地】激活应用主窗口搜索框
  * 其他改动说明 : 无
  * 其他改动影响域 : 无 

 -- rongyouli <rongyouli@kylinos.cn>  Wed, 15 Nov 2023 17:56:04 +0800

kylin-ipmsg (1.3.1.2-ok12.0) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 对应需求24691 新增多语言支持：维、哈、柯、蒙、藏、繁体
  * 任务号: 181086 子 麒麟传书 openkylin2.0 多语言翻译支持
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- chenziying <chenziying@kylinos.cn>  Wed, 15 Nov 2023 11:24:45 +0800

kylin-ipmsg (1.3.1.2-ok11) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 任务号: 182696 【快捷键规范落地】激活应用主窗口搜索框
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- rongyouli <rongyouli@kylinos.cn>  Wed, 15 Nov 2023 10:14:22 +0800

kylin-ipmsg (1.3.1.2-ok10) yangtze; urgency=medium

  * BUG号 : #I7E2TR【设计走查】搜索好友滚动条问题
            #I7E2X9【设计走查】搜索好友列表UI问题
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhoudisi <zhoudisi@kylinos.cn>  Tue, 29 Aug 2023 11:27:06 +0800

kylin-ipmsg (1.3.1.2-ok9) yangtze; urgency=medium

  * BUG号 : 147712 【KVE】kylin-ipmsg KVE-2022-1103
  * 需求号 : 无
  * 其他改动说明 : 处理【传书】右键聊天信息中文件-打开目录，弹出文件夹后右键菜单不会消失的问题
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 27 Apr 2023 00:00:00 +0800

kylin-ipmsg (1.3.1.2-ok8build1) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : openkylin平台编译失败，更该版本号进行编译
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Mon, 24 Apr 2023 00:00:00 +0800

kylin-ipmsg (1.3.1.2-ok8) yangtze; urgency=medium

  * BUG号 : 167701 【可信开发试点】kylin-ipmsg 内存泄露类安全编码规范问题整改
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Mon, 24 Apr 2023 00:00:00 +0800

kylin-ipmsg (1.3.1.2-ok7) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 最新代码合入
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Tue, 14 Mar 2023 00:00:00 +0800

kylin-ipmsg (1.3.1.2-ok6~1209) yangtze; urgency=medium

  * BUG号 : 151204 【传书】【需求 15827】右键托盘传书显示为“设置” 和 “关闭”，应为“设置”和“退出”
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Fri, 09 Dec 2022 00:00:00 +0800

kylin-ipmsg (1.3.1.2-ok5~1021.5) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : xc最新代码合入
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Mon, 28 Nov 2022 16:02:06 +0800

kylin-ipmsg (1.3.1.2-ok5~1021.4) yangtze; urgency=medium

  * BUG号 : 147712 【KVE】kylin-ipmsg KVE-2022-1103
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 17 Nov 2022 11:02:06 +0800

kylin-ipmsg (1.3.1.2-ok5~1021.3) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 编译失败，添加安全代码规范函数
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Fri, 04 Nov 2022 11:02:06 +0800

kylin-ipmsg (1.3.1.2-ok5~1021.2) yangtze; urgency=medium

  * BUG号 : 146167 【KVE】kylin-ipmsg KVE-2022-1002
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 03 Nov 2022 15:02:06 +0800

kylin-ipmsg (1.3.1.2-ok5~1021.1) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 编译失败，添加options文件
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 03 Nov 2022 10:02:06 +0800

kylin-ipmsg (1.3.1.2-ok5~1021) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : xc平板代码合入
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Fri, 21 Oct 2022 10:02:06 +0800

kylin-ipmsg (1.3.1.2-ok4~0803) yangtze; urgency=medium

  * 修改版本号，处理编译卡住问题

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 03 Aug 2022 17:15:29 +0800

kylin-ipmsg (1.3.1.2-ok4~0721.1) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 添加头文件QPainterPath
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 21 Jul 2022 14:02:06 +0800

kylin-ipmsg (1.3.1.2-ok4~0721) yangtze; urgency=medium

  * BUG号 : 130459 【wayland】【传书】【窗管】传书多一个标题栏
  * 需求号 : 无
  * 其他改动说明 : 添加移除双标题栏，应用桌面居中，最小化拉起
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Tue, 19 Jul 2022 15:52:28 +0800

kylin-ipmsg (1.3.1.2-ok2) v101; urgency=medium

  * Fix build error

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 22 Jun 2022 19:46:32 +0800

kylin-ipmsg (1.3.1.2-ok1) yangtze; urgency=medium

  * build for openKylin

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 22 Jun 2022 18:42:25 +0800

kylin-ipmsg (1.3.1.2) v101; urgency=medium

  * BUG号 : 104469 【传书】大文件发送过程中的图标为红×，容易造成误解文件发送失败，建议修改图标
            103568 【传书】查看好友资料提示框关闭按钮未汉化
            113849 【传书】未选中任何聊天记录也能删除所选，建议未选中时按钮置灰
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Sat, 04 Jun 2022 14:10:48 +0800

kylin-ipmsg (1.3.1.1) v101; urgency=medium

  * BUG号 : 115560 【设计】间距问题
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Thu, 02 Jun 2022 09:33:18 +0800

kylin-ipmsg (1.3.1.0) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 13982
  * 其他改动说明 : 添加SDK功能打点
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Tue, 24 May 2022 16:28:52 +0800

kylin-ipmsg (1.3.0~rc13) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 仅重新编译
  * 其他改动影响域 : 无

 -- zhangxinxin <zhangxinxin@kylinos.cn>  Tue, 24 May 2022 16:28:52 +0800

kylin-ipmsg (1.3.0~rc12) v101; urgency=medium

  * BUG号 : 115563 【设计】深色模式样式问题
            115560 【设计】间距问题
            115558 【设计】两行文字间的间距有点大，
            115549 【设计】文字输入左边可以像右边一样留一定的间距
            115533 【设计】图标问题
            115530 【设计】搜索后的好友列表垂直没有居中
            115527 【设计】查看资料的icon与首页的编辑icon间距没统一
            115526 【设计】UI问题
            114588 【设计】UI样式问题 提Bug
            113153 【传书】图标颜色与主题图标颜色不统一
            114379 【设计】UI问题
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Tue, 26 Apr 2022 00:00:00 +0800

kylin-ipmsg (1.3.0~rc11) v101; urgency=medium

  * BUG号 : 88147 【传书】【单元测试】【需求9333】某些类型的视频被归为文件中，不在图片/视频选项下
            97136 【传书】任务栏显示接收到了消息，点击后传书中没有显示
            97913 【传书】打开界面后，有其他同网段机器打开传书，界面不能实时更新好友列表
            99372 【传书】默认主题下，传书页面打开且处于非置顶状态时，部分页面色调变为深色
            99491 【传书】【用户手册】用户手册中，好友聊天界面的窗口图片未更新
            100359 【PTOF】【传书】焦点不在传书界面上好友上方的主题自动变为深色主题
            100866 【传书】编辑用户名时，主界面上半部分是黑色的，不美观
            100879 【SP2 UI走查】【传书】界面待优化
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 06 Jan 2022 00:00:00 +0800

kylin-ipmsg (1.3.0~rc10) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 无
  * 其他改动说明 : 修改信创漏洞问题 , 修改更改目录策略 , 限定在家目录下的一个非隐藏目录.
  * 其他改动影响域 : 自身更改目录功能

 -- jishengjie <jishengjie@kylinos.cn>  Tue, 15 Dec 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc8) v101; urgency=medium

  * BUG号 : 92963 【传书】历史记录中部分视频和图片被分在文件中，不在图片/视频中
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Sun, 12 Dec 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc7) v101; urgency=medium

  * BUG号 : 93070 【传书】搜索好友名只有第一个字符高亮
            93026 【传书】【需求9333】字体大小设置为15时，历史记录中“删除所选”显示不全
            93018 【传书】英文模式15号字体时修改好友备注与关于界面文字显示不全
            92511 【传书】发送文件夹的窗口，不应该出现点点目录
            91743 【传书】历史记录鼠标选中聊天内容过程背景色变化不对 
            91709 【传书】【需求9333】设置用户名输入特殊字符提示与设计稿不符 
            93048 【传书】切换字体搜索框中文字和图标未居中显示
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 02 Dec 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc4) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 61049 子 【SP2】各组件藏文翻译导入 / 【SP2】各组件藏文翻译导入----kylin-ipmsg
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Fri, 19 Nov 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc3) v101; urgency=medium

  * BUG号 : 91584 【传书】13号及以上字体时历史记录中图片/视频按钮显示不全
            89368 【传书】英文系统下，字体大小设置为15时，聊天内容窗口中图片/视频显示不全
            88406 【传书】【单元测试】字体大小设置为15时，聊天内容“图片/视频”显示不全
            83128 【传书】英文系统下传书的设置用户名界面的confirm按钮显示不全
            88609 【传书】【单元测试】聊天内容中，文件不存在的提示框选择按钮，建议将“是（Y）”改为“确定”
            88369 【传书】【单元测试】设置用户名选项和文件夹选项建议添加悬浮框
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 18 Nov 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc2) v101; urgency=medium

  * BUG号 : 无
  * 需求号 : 9333 【ukui3.1】麒麟传书需求
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 04 Nov 2021 00:00:00 +0800

kylin-ipmsg (1.3.0~rc1) v101; urgency=medium

  * BUG号 : 84064 【PTOF】【传书】右键菜单栏中选项没有汉化
            84009 【传书】向离线好友发送消息时，提示框确定按钮未汉化
            83321 【传书】在传书中点击搜索框，鼠标右键粘贴文字显示位置异常
            83166 【PTOF】【传书】关于界面传书简介显示不全，且滑轮处未汉化
            83128 【传书】英文系统下传书的设置用户名界面的confirm按钮显示不全
            82690 【传书】【PTOF】打开的发送文件窗口和发送文件夹窗口均未汉化完整
            82240 【传书】好友聊天界面-“清空聊天记录”提示框“x”点击无效
            82225 【传书】清理缓存提示框“x”点击无效
            82222 【传书】设置-清空聊天记录提示框中“x”点击无效
            81749 【传书】复制消息后，在输入框点击鼠标右键，选择框未汉化
            81735 【传书】聊天消息右键“另存为”窗口未汉化
            85688 【传书】选择文件的界面按钮没有汉化
  * 需求号 : 无
  * 其他改动说明 : 添加主界面聊天记录搜索功能、好友聊天窗口搜索功能
  * 其他改动影响域 : 传书好友列表界面显示

 -- jishengjie <jishengjie@kylinos.cn>  Tue, 02 Nov 2021 00:00:00 +0800

kylin-ipmsg (1.2.1kord8) v101; urgency=medium

  * BUG号 : 77437 【用例148942】【传书】发送失败的消息重发成功后聊天窗口仍然显示带有感叹号的消息
            35424 【用户手册】打开用户手册-各模块内容中的图片都存在未自适应窗口大小的情况
            78671 【传书】控制面板中字体大小设为15时，传书-关于中传书描述显示不全
            78818 【传书】测试机A给B先发送大文件，大文件处于发送中时再发送消息，显示消息发送完成，但测试机B未接收到
            79794 【传书】传输文件时发送文字，对方无法收到
            78788 【传书】传书聊天输入窗口工具栏鼠标悬浮无提示，建议增加
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Thu, 16 Sep 2021 00:00:00 +0800

kylin-ipmsg (1.2.1kord7) v101; urgency=medium

  * BUG号 : 76059 【传书】开启安全中防火墙弹框功能，传书接收消息过程中出现闪退
            76294 【传书】打开传书，好友列表中同一好友出现多次
            76411 【传书】向传书好友发送消息/图片/文档，传书闪退，产生core文件
            76964 【用例148927】【传书】测试机A发送任何消息都会导致测试机B的传书闪退
            77006 【用例148935】【传书】好友列表界面同一好友的上线和离线状态一起显示，且离线显示有多条
            77094 【用例148935】【传书】测试机A传书好友列表界面显示10个同一IP的测试机B好友
            77490 【用例148948】【传书】分别清空聊天记录和清理缓存完成后没有弹出已清空和清理完成提示框
            76335 【传书】深色模式下，传书中好友列表名称未反白
            76771 【用例148950】【传书】关于界面没有显示传书功能简介
            77540 【用例148961】【传书|用户手册】英文系统下传书点击帮助选项，调出的英文传书手册左侧栏显示特殊符号
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Wed, 01 Sep 2021 00:00:00 +0800

kylin-ipmsg (1.2.1kord6) v101; urgency=medium

  * BUG号 : 75270 【传书】鼠标悬浮于传书的聊天窗口，点击好友聊天窗口“关闭”按钮，关闭按钮点击无效
            75241 【传书】右键聊天界面文件，点击“另存为”按钮，点击“取消”或“x”，页面弹出文件复制错误提示框
            75222 【传书】用户名设置长度大于20字
            75085 【传书】右键点击好友，点击“发起聊天”，未弹出聊天界面
            74983 【传书】切换主题，传书页面显示异常
            74988 【用户手册】用户手册中传书介绍为老版本传书介绍
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 23 Aug 2021 15:20:11 +0800

kylin-ipmsg (1.2.1kord5) v101; urgency=medium

  * BUG号 : 71823 【传书】适配主题，字体大小，只有最顶部传书标题适配，下面主体的主题没有适配系统主题和字体大小
            61853 【传书】【用例#104449】未适配系统字体，调整字体大小和字体类型，界面上除开标题‘传书’有跟随改变，其他字符无改变
  * 任务号 : 无
  * 需求号 : 无
  * 其他改动说明 : 增加传书字体跟随系统字体变化功能

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 16 Aug 2021 15:20:11 +0800

kylin-ipmsg (1.2.1kord4) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 设置聊天窗口初始位置.
    - 删除好友时，关闭聊天框.

 -- caoliang <caoliang@kylinos.cn>  Fri, 16 Jul 2021 15:20:11 +0800

kylin-ipmsg (1.2.1kord3) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 修复服务端跨线程调用socket的问题.
    - 修复好友列表右键响应问题.
    - 修复消息盒子悬浮显示问题.

 -- caoliang <caoliang@kylinos.cn>  Fri, 09 Jul 2021 11:00:26 +0800

kylin-ipmsg (1.2.1kord2) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 处理部分命名规范问题.
    - 处理编译过程中的警告.
    - 处理栈内存可能溢出的问题.

 -- caoliang <caoliang@kylinos.cn>  Wed, 07 Jul 2021 09:55:56 +0800

kylin-ipmsg (1.2.1kord1) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 新版传书正式传包.

 -- caoliang <caoliang@kylinos.cn>  Fri, 02 Jul 2021 19:22:59 +0800

kylin-ipmsg (1.2.1kord1~rc19) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 设置托盘消息列表不显示在任务栏小窗口.
    - 将module内存回收改为异步回收机制.
    - 解决清空选择项可能引发的闪退问题.

 -- caoliang <caoliang@kylinos.cn>  Fri, 02 Jul 2021 18:51:03 +0800

kylin-ipmsg (1.2.1kord1~rc18) v101; urgency=medium

  * BUG号: 63697.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 清除缓存时清理隐藏文件.
    - 解决设置窗口模态问题.

 -- caoliang <caoliang@kylinos.cn>  Thu, 01 Jul 2021 10:35:37 +0800

kylin-ipmsg (1.2.1kord1~rc17) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 处理编译过程中的warnning.
    - 实现文件夹另存为功能.

 -- caoliang <caoliang@kylinos.cn>  Wed, 30 Jun 2021 20:21:08 +0800

kylin-ipmsg (1.2.1kord1~rc16) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 修复文件权限导致的编包问题.

 -- caoliang <caoliang@kylinos.cn>  Wed, 30 Jun 2021 09:04:07 +0800

kylin-ipmsg (1.2.1kord1~rc15) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 修改服务端最大等待连接数.

 -- caoliang <caoliang@kylinos.cn>  Tue, 29 Jun 2021 20:53:06 +0800

kylin-ipmsg (1.2.1kord1~rc14) v101; urgency=medium

  * BUG号: 无.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 解决发现的界面细节问题.

 -- caoliang <caoliang@kylinos.cn>  Tue, 29 Jun 2021 15:44:38 +0800

kylin-ipmsg (1.2.1kord1~rc13) v101; urgency=medium

  * BUG号: 63700, 63749.
  * 任务号: 无.
  * 需求号: 无.
  * 其他改动说明: 
    - 修改socket等待写入的时间为5秒.
    - 设置应用窗口图标.

 -- caoliang <caoliang@kylinos.cn>  Mon, 28 Jun 2021 11:11:08 +0800

kylin-ipmsg (1.2.1kord1~rc12) v101; urgency=medium

  * BUG号： 63658, 63661.
  * 需求号： 无.
  * 其他改动说明：
    - 解决聊天记录清空的问题.
    - 解决缓存清理的问题.
    - 解决聊天记录转码引发的问题.

 -- caoliang <caoliang@kylinos.cn>  Sat, 26 Jun 2021 17:15:29 +0800

kylin-ipmsg (1.2.1kord1~rc11) v101; urgency=medium

  * BUG号： 63374.
  * 需求号： 无.
  * 其他改动说明：
    - 解决文件选择框的问题.
    - 解决发送同名文件夹的问题.
    - 解决服务端信号绑定的问题.

 -- caoliang <caoliang@kylinos.cn>  Fri, 25 Jun 2021 16:11:55 +0800

kylin-ipmsg (1.2.1kord1~rc10) v101; urgency=medium

  * 修改UDP和TCP监听端口.
  * 毛玻璃效果跟随主题变化.

 -- caoliang <caoliang@kylinos.cn>  Fri, 25 Jun 2021 10:23:17 +0800

kylin-ipmsg (1.2.1kord1~rc9) v101; urgency=medium

  * 解决龙芯架构下的udp数据解析问题.

 -- caoliang <caoliang@kylinos.cn>  Wed, 23 Jun 2021 19:53:23 +0800

kylin-ipmsg (1.2.1kord1~rc8) v101; urgency=medium

  * 消息内容加密传输.
  * 更新版本.

 -- caoliang <caoliang@kylinos.cn>  Wed, 23 Jun 2021 17:25:42 +0800

kylin-ipmsg (1.2.1kord1~rc7) v101; urgency=medium

  * 解决部分问题.

 -- caoliang <caoliang@kylinos.cn>  Wed, 23 Jun 2021 09:40:54 +0800

kylin-ipmsg (1.2.1kord1~rc6) v101; urgency=medium

  * 新版传书首次传包内测

 -- caoliang <caoliang@kylinos.cn>  Mon, 21 Jun 2021 18:30:30 +0800

kylin-ipmsg (1.1.22kord5) v101; urgency=medium

  * 新增统一日志输出功能.
  * 影响域：传书日志输出管理.

 -- caoliang <caoliang@kylinos.cn>  Mon, 19 Apr 2021 20:20:16 +0800

kylin-ipmsg (1.1.22kord4) v101; urgency=medium

  * 修复禅道bug#49251 : 传书 - 打开窗体未置顶显示.
  * 更新麒麟传书中英文应用名.
  * 更新麒麟传书用户手册.
  * 影响域：麒麟传书的中英文名显示，麒麟传书用户手册中的应用名文字显示及截图显示，最小化后启动应用拉起界面.

 -- caoliang <caoliang@kylinos.cn>  Mon, 19 Apr 2021 10:28:27 +0800

kylin-ipmsg (1.1.22kord3) v101; urgency=medium

  * 修复禅道bug#47620 : 【主题框架】【麒麟传书】接收文件时崩溃.

 -- caoliang <caoliang@kylinos.cn>  Tue, 13 Apr 2021 10:07:22 +0800

kylin-ipmsg (1.1.22kord2) v101; urgency=medium

  * 修复禅道bug#43504 : 【开始菜单】控制面板中切换图标主题为经典模式后，麒麟传书的图标不一致.
  * 修复禅道bug#44435 : 【麒麟传书】麒麟传书，英文模式下，点击好友列表会话框没有显示在最上层.

 -- caoliang <caoliang@kylinos.cn>  Sat, 27 Mar 2021 13:42:35 +0800

kylin-ipmsg (1.1.22kord1) v101; urgency=medium

  * 修复禅道bug#41391 : 【麒麟传书】麒麟传书最近中不显示传送文件消息.
  * 修复禅道bug#41419 : 【麒麟传书】概率性传文件失败.
  * 修复禅道bug#42312 : 【麒麟传书】传输文件，传输成功后，一直显示正在发送文件.
  * 修复禅道bug#43810 : 【麒麟传书】麒麟传书，最近页面，接收到用户的的第一条消息不会显示用户信息.
  * 修复禅道bug#43819 : 【麒麟传书】麒麟传书，传送文件过程中取消传送，取消失败，接收方的传送进度条也未消失.
  * 修复禅道bug#43835 : 【麒麟传书】麒麟传书，发送方搜索IP后直接发送消息，无法停留在当前页面接收回复的消息.
  * 修复禅道bug#44395 : 【麒麟传书】麒麟传书，发送消息时，用户无法接收到发送方的第一条消息.
  * 修复禅道bug#44413 : 【麒麟传书】麒麟传书，停留在消息发送界面，修改备注名成功后，但是会话列表依然显示的是修改前的名字.
  * 修复禅道bug#44014 : 【麒麟传书】麒麟传书任务栏预览窗口的名称修改.
  * 应用版本号修改.
  
 -- caoliang <caoliang@kylinos.cn>  Wed, 24 Mar 2021 16:57:51 +0800

kylin-ipmsg (1.1.21kord3) v101; urgency=medium

  * 修复禅道bug#42491 : 【麒麟传书】夜间模式下麒麟传书的窗口显示异常.
  * 适配分数缩放.

 -- caoliang <caoliang@kylinos.cn>  Mon, 15 Mar 2021 09:46:15 +0800

kylin-ipmsg (1.1.21kord2) v101; urgency=medium

  * 修复禅道bug#40482 : 【麒麟传书】打开后主界面会黑一下.
  * 修复禅道bug#41910 : 【用户手册】【麒麟传书】只有麒麟传书图标，没有应用名，点进去显示undefined.

 -- caoliang <caoliang@kylinos.cn>  Tue, 09 Mar 2021 14:01:08 +0800

kylin-ipmsg (1.1.21kord1) v101; urgency=medium

  * 在pro文件中对用户手册进行处理，兼容V10

 -- caoliang <caoliang@kylinos.cn>  Thu, 04 Mar 2021 17:07:17 +0800

kylin-ipmsg (1.1.20kord1~rc5) v101; urgency=medium

  * 【麒麟传书】#Bug39210 : 选择传输文件的模态窗口出现应用内主题颜色的边框.

 -- caoliang <caoliang@kylinos.cn>  Wed, 24 Feb 2021 11:58:01 +0800

kylin-ipmsg (1.1.20kord1~rc4) v101; urgency=medium

  * 【麒麟传书】#Bug37940 : 使用IP时，显示两个IP地址且第二个显示不全.

 -- caoliang <caoliang@kylinos.cn>  Wed, 03 Feb 2021 17:32:42 +0800

kylin-ipmsg (1.1.20kord1~rc3) v101; urgency=medium

  * 【麒麟传书】#Bug36066 : 固定麒麟传书窗口大小，不响应全屏放大操作.
  * 将麒麟传书初始窗口放在屏幕中央位置.

 -- caoliang <caoliang@kylinos.cn>  Tue, 02 Feb 2021 10:31:40 +0800

kylin-ipmsg (1.1.20kord1~rc2) v101; urgency=medium

  * 【麒麟传书】#Bug36046 : 测试机B给测试机A发送文件和文件夹，测试机A麒麟传书闪退，终端段错误 (核心已转储)
  *  删除第二条tcp链接
  *  修复服务端重复监听同一端口，造成监听失败，导致进程崩溃问题
  *  修复找不到mac地址导致进程段错误问题

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 01 Feb 2021 11:17:37 +0800

kylin-ipmsg (1.1.20kord1~rc1) v101; urgency=medium

  * 【麒麟传书】#Bug36051 : 英文系统下，顶端英文显示重叠.
  * 【麒麟传书】#Bug36066 : 麒麟传书窗口大小变化异常，使用主题的放缩.

 -- caoliang <caoliang@kylinos.cn>  Wed, 27 Jan 2021 11:17:37 +0800

kylin-ipmsg (1.1.20kord) v101; urgency=medium

  * 【麒麟传书】#Bug25000 更改图标主题为经典，关于界面麒麟传书图标未变化.
  * 修复版本号更新机制，只需要在main.cpp中修改版本号.

 -- caoliang <caoliang@kylinos.cn>  Mon, 25 Jan 2021 11:47:22 +0800

kylin-ipmsg (1.1.19kord1~rc1) v101; urgency=medium

  * 【麒麟传书】#Bug34939 X86架构机器麒麟传书消息界面无发消息，传文件，传文件夹，修改备注按钮；龙芯架构机器麒麟传书消息界面无修改备注按钮
  * 【麒麟传书】#Bug23853 最近中没有单方面发送信息的记录
  * 【麒麟传书】#Bug23836 龙芯机器打开麒麟传书出现段错误

 -- jishengjie <jishengjie@kylinos.cn>  Sat, 23 Jan 2021 20:33:32 +0800

kylin-ipmsg (1.1.19kord) v101; urgency=medium

  * 修复版本号显示

 -- caoliang <caoliang@kylinos.cn>  Mon, 21 Jan 2021 19:22:36 +0800

kylin-ipmsg (1.1.18kord) v101; urgency=medium

  * 修复禅道bug#26336：【麒麟传书】发送文件夹窗口取消按钮未汉化.
  * 修复禅道bug#26475：【麒麟传书】打开应用时主界面位置不固定.
  * 修复禅道bug#26479：【麒麟传书】使用IP的消息提示待优化.

 -- caoliang <caoliang@kylinos.cn>  Mon, 21 Jan 2021 18:35:46 +0800

kylin-ipmsg (1.1.17kord) v101; urgency=medium

  * 【麒麟传书】先关闭主界面，再关闭对话框后，关闭程序不完全导致无法再次启动
  * 【麒麟传书】第一次打开麒麟传书，关闭之后再次点击麒麟传书没有反应

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 18 Jan 2021 20:33:32 +0800

kylin-ipmsg (1.1.16kord) v101; urgency=medium

  * 【麒麟传书】修复在好友不在线时发送信息给好友ip，10s内在好友Ip上打开麒麟传书，好友名称显示异常问题
  * 【麒麟传书】修复会打开IP相同的两个对话框问题

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 18 Jan 2021 16:51:32 +0800
 
kylin-ipmsg (1.1.15kord) v101; urgency=medium

  * 解决禅道bug#23832 : 【麒麟传书】切换好友、最近、关于时界面显示不正确.

 -- caoliang <caoliang@kylinos.cn>  Sat, 16 Jan 2021 16:51:32 +0800

kylin-ipmsg (1.1.14kord) v101; urgency=medium

  * 添加用户手册

 -- jiangdingyuan <jiangdingyuan@kylinos.cn>  Thu, 14 Jan 2021 18:52:09 +0800

kylin-ipmsg (1.1.13kord) v101; urgency=medium

  * 解决禅道bug#28763 : 设置对麒麟传书的网络为禁止时，使用麒麟传书发送信息闪退.

 -- caoliang <caoliang@kylinos.cn>  Fri, 25 Dec 2020 13:50:25 +0800

kylin-ipmsg (1.1.12kord) v101; urgency=medium

  * 将麒麟传书图标和主题图标库保持一致.

 -- caoliang <caoliang@kylinos.cn>  Fri, 18 Dec 2020 16:30:25 +0800

kylin-ipmsg (1.1.11kord) v101; urgency=medium

  * 解决禅道bug#23186 : 版本号不一致. 
  * 解决禅道bug#23832 : 切换好友、最近、关于时界面显示不正确.	
  * 解决禅道bug#23860 : 点击设置和更改主题颜色都会弹出消息界面.
  * 解决禅道bug#24040 : 主界面和消息对话框界面的备注显示字符串长度不一致.

 -- caoliang <caoliang@kylinos.cn>  Wed, 18 Nov 2020 16:30:25 +0800

kylin-ipmsg (1.1.10kord) v101; urgency=medium

  * 使用QtSingleApplication兼容vnc单例模式.

 -- caoliang <caoliang@kylinos.cn>  Mon, 26 Oct 2020 14:30:25 +0800

kylin-ipmsg (1.1.9kord) v101; urgency=medium

  * 解决禅道bug22399 : 使用IP地址与自己发消息的界面未适配英文环境.
  * 解决禅道bug22156 : 英文系统状态下，接收到文件夹、文件的提示未国际化.
  * 解决禅道bug22153 : 英文系统状态下，change nickname显示不全.	
  * 解决禅道bug22149 : 更改主题颜色对话框的颜色没有同步.

 -- fengyongfan <fengyongfan@kylinos.cn>  Fri, 23 Oct 2020 14:30:25 +0800

kylin-ipmsg (1.1.8kord) v101; urgency=medium

  * 解决禅道bug20256 : 禁用获取好友头像的功能，防止龙芯架构下麒麟传书闪退的问题.

 -- caoliang <caoliang@kylinos.cn>  Mon, 19 Oct 2020 14:30:25 +0800

kylin-ipmsg (1.1.7kord) v101; urgency=medium

  * 解决禅道bug20455 : 麒麟传书同时在网络和社区分组里面，修改为只出现在社区分组里面. 

 -- fengyongfan <fengyongfan@kylinos.cn>  Wed, 30 Sep 2020 13:30:25 +0800

kylin-ipmsg (1.1.6kord) v101; urgency=medium

  * 将所有按钮字体大小固定，以免随系统字体大小变化而出现显示不全的问题.

 -- fengyongfan <fengyongfan@kylinos.cn>  Wed, 30 Sep 2020 13:30:25 +0800

kylin-ipmsg (1.1.5kord) v101; urgency=medium

  * 解决禅道bug20419 : 麒麟传书消息界面“修改备注”按钮和IP地址有遮挡.
  * 解决禅道bug20474 : 控制面板设置字体“16”，部分界面字体显示不全 

 -- fengyongfan <fengyongfan@kylinos.cn>  Tue, 29 Sep 2020 14:30:25 +0800

kylin-ipmsg (1.1.4kord) v101; urgency=medium

  * 实现将好友头像保存到本地文件夹的功能(兼容龙芯处理器）
  * 修复源码版权信息 

 -- caoliang <caoliang@kylinos.cn>  Wed, 23 Sep 2020 15:00:25 +0800

kylin-ipmsg (1.1.3) unstable; urgency=medium

  * 解决禅道bug13953 : 修复未识别出本机IP地址的问题.
  * 解决禅道bug16237 : 修复V10系统中同一局域网下不能互相看到的问题.
  * 解决禅道bug18368 : 修复系统语言为英文时，修改备注和确认修改按钮仍显示中文的问题.
  * 解决禅道bug17926 : 实现F1以及功能按钮打开麒麟传书用户手册的功能.
  * 修复龙芯处理器下可能出现的闪退问题.

 -- caoliang <caoliang@kylinos.cn>  Tue, 15 Sep 2020 10:00:25 +0800

kylin-ipmsg (1.1.2) unstable; urgency=medium

  * 修复首次打开时，关于界面图标未加载的问题.

 -- caoliang <caoliang@kylinos.cn>  Thu, 27 Aug 2020 10:40:25 +0800

kylin-ipmsg (1.1.1) unstable; urgency=medium

  * 对4K屏幕进行适配.

 -- caoliang <caoliang@kylinos.cn>  Sat, 22 Aug 2020 10:32:25 +0800

kylin-ipmsg (1.1.0) unstable; urgency=medium

  * 将麒麟传书从QT4升级到QT5,修复相关的问题.

 -- fengyongfan <fengyongfan@kylinos.cn>  Fri, 21 Aug 2020 10:32:25 +0800

kylin-ipmsg (1.0.12kord) v100; urgency=medium

  * 修改IP地址匹配规则，对不合法的IP地址进行判定.
  * 修改菜单栏图标、任务栏图标、关于界面图标不一致的问题.
  * 修复消息界面修改备注按钮异常消失的问题.

 -- fengyongfan <fengyongfan@kylinos.cn>  Thu, 20 Aug 2020 10:32:25 +0800

kylin-ipmsg (1.0.11kord) v100; urgency=medium

  * 修改关于界面版本号.

 -- fengyongfan <fengyongfan@kylinos.cn>  Thu, 13 Aug 2020 16:20:25 +0800

kylin-ipmsg (1.0.10kord) v100; urgency=medium

  * 解决使用IP地址，输入IP后退出，再次打开出现修改备注按钮的bug.

 -- fengyongfan <fengyongfan@kylinos.cn>  Tue, 11 Aug 2020 16:10:25 +0800

kylin-ipmsg (1.0.9kord) v100; urgency=medium

  * 解决使用IP地址时输入本机IP，不提示本机IP的bug.
  * 解决菜单图标和关于界面图标不一致的bug.
  * 解决应用实际版本号和关于界面版本好不一致的bug.

 -- fengyongfan <fengyongfan@kylinos.cn>  Sat, 08 Aug 2020 17:20:25 +0800

kylin-ipmsg (1.0.8kord) v100; urgency=medium

  * 新增添加备注功能

 -- liuyuhui <liuyuhui@kylinos.cn>  Wed, 05 Aug 2020 13:52:25 +0800

kylin-ipmsg (1.0.7kord) v100; urgency=medium

 * 增加一些信息内容.

 -- lixiang <lixiang@kylinos.cn>  Fri, 22 May 2020 11:36:02 +0800

kylin-ipmsg (1.0.6kord) juniper; urgency=medium

  * 解决禅道bug1412 : 版本号显示错误.

 -- huangsheng <huangsheng@kylinos.cn> Wed, 17 Jul 2019 11:07:09 +0800

kylin-ipmsg (1.0.5kord) juniper; urgency=medium

  * 解决禅道bug644 : 发送空文件夹导致聊天界面卡住.

 -- huangsheng <huangsheng@kylinos.cn> Wed, 17 Jul 2019 11:07:09 +0800

kylin-ipmsg (1.0.4kord) juniper; urgency=medium

  * 国际化,目前支持英文和中文.

 -- huangsheng <huangsheng@kylinos.cn>  Wed, 08 Nov 2017 14:41:40 +0800

kylin-ipmsg (1.0.3kord) juniper; urgency=medium

  * 解决接收文件时无法点击返回按钮关闭对话框的bug.

 -- huangsheng <huangsheng@kylinos.cn>  Fri, 04 Aug 2017 11:59:42 +0800

kylin-ipmsg (1.0.2kord) juniper; urgency=medium

  * 解决关于界面链接点击无效的bug.
  * 修改部分配置参数.

 -- huangsheng <huangsheng@kylinos.cn>  Sat, 15 Jul 2017 15:33:25 +0800

kylin-ipmsg (1.0.1kord) juniper; urgency=medium

  * 禁止通过输入IP给自己发消息.
  * 解决禅道bug 4112, 4121, 4104, 4105, 4109, 4117, 4116.

 -- huangsheng <huangsheng@kylinos.cn>  Thu, 22 Jun 2017 11:41:52 +0800

kylin-ipmsg (1.0.0kord) juniper; urgency=medium

  * 重写全部逻辑，只保留开源软件的qml控件和图标.
  * 支持收发并行、批量传输文件、文件重名重命名.
  * 文件传输取消功能、断线连接功能.
  * 向上层IP发起聊天功能、增强广播功能.
  * 新消息提醒、聊天界面多种提示、控件自带右键菜单汉化.

 -- huangsheng <huangsheng@kylinos.cn>  Fri, 16 Jun 2017 15:34:59 +0800

kylin-ipmsg (0.9.1kord) juniper; urgency=medium

  * 会话模式聊天功能开发.
  * 最近聊天对象列表开发.
  * 动画和事件开发, 文件传输相关功能增强.
  * qml界面开发、自定义控件js等开发.

 -- huangsheng <huangsheng@kylinos.cn>  Wed, 10 May 2017 10:01:06 +0800
